This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 466923 - [sosreport] printing.py update needed
[sosreport] printing.py update needed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Adam Stokes
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-14 10:54 EDT by Robin R. Price II
Modified: 2009-09-02 03:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 03:31:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
printing.py modified (1.14 KB, text/x-python)
2008-10-14 10:54 EDT, Robin R. Price II
no flags Details

  None (edit)
Description Robin R. Price II 2008-10-14 10:54:59 EDT
Created attachment 320306 [details]
printing.py modified

Description of problem:
	The printing plug-in for sosreport lacks information needed to troubleshoot most printing cases.  The time it takes to go back to customer and request the information can be advoided with the printing plug-in being modified to reflect needed files.

Version-Release number of selected component (if applicable):
	$ rpm -q sos
	sos-1.7-9.2.el5_2.2.noarch

How reproducible:
	Always

Steps to Reproduce:
	1. Run 'sosreport -av' or 'sosreport -o printing'
  
Actual results:
	sosreport creates with the lack of printing information

Expected results:
	sosreport creates with enough printing information to troubleshoot

Additional info:
	The patch is to get global lpoptions being used, the ppd files being used by assigned printers, and lpstat commands to see what printers are being used and the URIs assigned to them.


$ diff -pruN /usr/lib/python2.4/site-packages/sos/plugins/printing.py printing.py 
--- /usr/lib/python2.4/site-packages/sos/plugins/printing.py    2007-08-14 13:01:29.000000000 -0400
+++ printing.py 2008-10-14 10:33:17.000000000 -0400
@@ -19,6 +19,12 @@ class printing(sos.plugintools.PluginBas
     """
     def setup(self):
         self.addCopySpec("/etc/cups/*.conf")
+        self.addCopySpec("/etc/cups/lpoptions")
+        self.addCopySpec("/etc/cups/ppd/*.ppd")
         self.addCopySpec("/var/log/cups")
-        return
+
+       self.collectExtOutput("/usr/bin/lpstat -t")
+       self.collectExtOutput("/usr/bin/lpstat -s")
+       self.collectExtOutput("/usr/bin/lpstat -d")
 
+        return
Comment 6 errata-xmlrpc 2009-09-02 03:31:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1418.html

Note You need to log in before you can comment on or make changes to this bug.